# -*- encoding: utf-8 -*-
# stub: sensu-plugins-snmptrap-extension 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-snmptrap-extension".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "@warmfusion", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Toby Jackson".freeze, "Peter Daugavietis".freeze]
  s.cert_chain = ["certs/sensu-plugins.pem".freeze]
  s.date = "2016-11-17"
  s.description = "Sensu extension for trapping SNMP events and reemiting as templated events".freeze
  s.email = "<toby@warmfusion.co.uk>".freeze
  s.executables = ["extension-snmptrap.rb".freeze]
  s.files = ["bin/extension-snmptrap.rb".freeze]
  s.homepage = "https://github.com/warmfusion/sensu-extension-snmptrap".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Ensure you symlink the bin/extension-snmptrap.rb to your sensu/extensions directory".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu extension to capture SNMP trap events".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<snmp>.freeze, [">= 1.2.0"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["= 1.2.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4", "< 0.6"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.32.1"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<activesupport>.freeze, ["> 4.2", "< 5.0"])
    s.add_development_dependency(%q<json>.freeze, ["< 2.0"])
  else
    s.add_dependency(%q<snmp>.freeze, [">= 1.2.0"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["= 1.2.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4", "< 0.6"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.32.1"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_dependency(%q<activesupport>.freeze, ["> 4.2", "< 5.0"])
    s.add_dependency(%q<json>.freeze, ["< 2.0"])
  end
end
